DNS RecordsGet/Activate Record DynamicURL

Get/Activate Record DynamicURL

curl -X GET "https://api.5centscdn.com/v2/dns/example_string/records/example_string/dynamicurl" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "status": "Failed",
  "statusDescription": "The DynamicURL is only for A and AAAA record types."
}
GET
/dns/{dnsId}/records/{recordid}/dynamicurl
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

hoststring

Hostname of the A or AAAA record for which the DynamicURL was activated.

urlstring

Dynamic URL endpoint used to update the DNS record IP address.

statusstring

Operation outcome on error.

statusDescriptionstring

Human-readable description of the error outcome.